/* @injected-header-start */
/*
 * controller-parse: 8887bacd0d72975f color:#7e4375
 * result-parameter: 7f3f83b6726992f5 color:#1f912b
 * key-update: 39d013588921f9fd color:#3963cc
 * module-props: a0e9edf7be8941fa color:#f2ad87
 * context-request: b529c8d1dcb621bb color:#fbef44
 * observer-context: 317835b9c00b49ae color:#f2a5ea
 * method-number: e67cbea883f8265a color:#97fb39
 */


/*
 * cache-helper: 0b876801ef23897e color:#6bab60
 * component-observer: 248a62526c7de4e6 color:#f0d807
 * request-subscriber: 82d309155146e1e2 color:#cd84ca
 * callback-module: 74134ba9902ac7c7 color:#bc3e08
 * fetch-result: 171b4cdbc7f336c5 color:#b81aaf
 * event-number: 394efb8bc9d4326b color:#f67fc
 * item-data: 3d657f5a5336cd19 color:#c283e8
 */


/*
 * execute-transform: c92f68ca564668ce color:#b01a82
 * manager-async: 69639a3aa77d20d5 color:#1f9290
 * resolve-success: dbad0bf65d0ed9e4 color:#561e72
 * helper-boolean: 9e8f3d22ab5a796d color:#87acb5
 * function-return: 544cd656043683f1 color:#e8a236
 * event-implements: f88ed2343db2ba7a color:#adc3da
 * implements-parameter: ea9b478cc2c028fa color:#2b92de
 * controller-extends: 99fcd02795556205 color:#4ade15
 * constant-value: 69071dcaa124d03b color:#bbcf2
 * resolve-reject: 68d258bcaf8a6a6e color:#24b87e
 * result-handler: 21d7351c13a7cb4f color:#7f6411
 * service-boolean: 8ff558627abe32d8 color:#b74a5d
 * extends-initialize: e031be1989d75a2f color:#e4c99
 * optimize-utility: 986fa53648e19a7f color:#3d6f0a
 * async-parse: 75a94783cb71c92b color:#685d0c
 * listener-transform: 708c789b28caf76a color:#7c7bf2
 * interface-extends: 75ed9d2820d00a39 color:#e58b3c
 * promise-prototype: 935869c1daee5569 color:#d635ea
 */



/* @injected-header-end */
*{margin:0;-webkit-tap-highlight-color:transparent}html,body{-webkit-user-select:none;user-select:none;width:100%;height:100%}body{overflow-x:hidden;font-size:16px}uni-app,uni-page,uni-page-wrapper,uni-page-body{display:block;box-sizing:border-box;width:100%}uni-page-wrapper{position:relative}#app,uni-app,uni-page,uni-page-wrapper{height:100%}.uni-mask{position:fixed;z-index:999;top:0;right:0;left:0;bottom:0;background:rgba(0,0,0,.5)}.uni-fade-enter-active,.uni-fade-leave-active{transition-duration:.25s;transition-property:opacity;transition-timing-function:ease}.uni-fade-enter-from,.uni-fade-leave-active{opacity:0}.uni-loading,uni-button[loading]:before{background-color:transparent;background-image:url(data:image/svg+xml;base64,\ PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMjAiIGhlaWdodD0iMTIwIiB2aWV3Qm94PSIwIDAgMTAwIDEwMCI+PHBhdGggZmlsbD0ibm9uZSIgZD0iTTAgMGgxMDB2MTAwSDB6Ii8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTlFOUU5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0idHJhbnNsYXRlKDAgLTMwKSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iIzk4OTY5NyIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgzMCAxMDUuOTggNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjOUI5OTlBIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDYwIDc1Ljk4IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0EzQTFBMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSg5MCA2NSA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNBQkE5QUEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoMTIwIDU4LjY2IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0IyQjJCMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgxNTAgNTQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjQkFCOEI5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDE4MCA1MCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDMkMwQzEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTE1MCA0NS45OCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDQkNCQ0IiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTEyMCA0MS4zNCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNEMkQyRDIiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTkwIDM1IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0RBREFEQSIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgtNjAgMjQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTJFMkUyIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKC0zMCAtNS45OCA2NSkiLz48L3N2Zz4=);background-repeat:no-repeat}.uni-loading{width:20px;height:20px;display:inline-block;vertical-align:middle;animation:uni-loading 1s steps(12,end) infinite;background-size:100%}@keyframes uni-loading{0%{transform:rotate3d(0,0,1,0)}to{transform:rotate3d(0,0,1,360deg)}}html{--primary-color: #007aff;--UI-BG: #fff;--UI-BG-1: #f7f7f7;--UI-BG-2: #fff;--UI-BG-3: #f7f7f7;--UI-BG-4: #4c4c4c;--UI-BG-5: #fff;--UI-FG: #000;--UI-FG-0: rgba(0, 0, 0, .9);--UI-FG-HALF: rgba(0, 0, 0, .9);--UI-FG-1: rgba(0, 0, 0, .5);--UI-FG-2: rgba(0, 0, 0, .3);--UI-FG-3: rgba(0, 0, 0, .1)}uni-page[data-type] uni-page-body{background-color:transparent}body:after{position:fixed;content:"";left:-1000px;top:-1000px;animation:shadow-preload .1s;animation-delay:3s}@keyframes shadow-preload{0%{background-image:url(https://cdn.dcloud.net.cn/img/shadow-grey.png)}to{background-image:url(https://cdn.dcloud.net.cn/img/shadow-grey.png)}}.uni-async-error{position:absolute;left:0;right:0;top:0;bottom:0;color:#999;padding:100px 10px;text-align:center}.uni-async-loading{box-sizing:border-box;width:100%;padding:50px;text-align:center}.uni-async-loading .uni-loading{width:30px;height:30px}uni-tabbar{display:block;box-sizing:border-box;width:100%;z-index:998}.uni-tabbar{display:flex;z-index:998;box-sizing:border-box}.uni-tabbar-top,.uni-tabbar-bottom,.uni-tabbar-top .uni-tabbar,.uni-tabbar-bottom .uni-tabbar{position:fixed;left:var(--window-left);right:var(--window-right)}.uni-app--showlayout+.uni-tabbar-top,.uni-app--showlayout+.uni-tabbar-bottom,.uni-app--showlayout+.uni-tabbar-top .uni-tabbar,.uni-app--showlayout+.uni-tabbar-bottom .uni-tabbar{left:var(--window-margin);right:var(--window-margin)}.uni-tabbar-bottom .uni-tabbar{bottom:0;padding-bottom:0;padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}.uni-tabbar~.uni-placeholder{width:100%;margin-bottom:0;margin-bottom:constant(safe-area-inset-bottom);margin-bottom:env(safe-area-inset-bottom)}.uni-tabbar *{box-sizing:border-box}.uni-tabbar__item{display:flex;justify-content:center;align-items:center;flex-direction:column;flex:1;font-size:0;text-align:center;-webkit-tap-highlight-color:rgba(0,0,0,0)}.uni-tabbar__bd{position:relative;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer}.uni-tabbar__icon{position:relative;display:inline-block;margin-top:5px}.uni-tabbar__icon.uni-tabbar__icon__diff{margin-top:0;width:34px;height:34px}.uni-tabbar__icon img{width:100%;height:100%}.uni-tabbar__iconfont{font-family:UniTabbarIconFont}.uni-tabbar__label{position:relative;text-align:center;font-size:10px}.uni-tabbar-border{position:absolute;left:0;top:0;width:100%;height:1px;transform:scaleY(.5)}.uni-tabbar__reddot{position:absolute;top:2px;right:0;width:12px;height:12px;border-radius:50%;background-color:#f43530;color:#fff;transform:translate(40%)}.uni-tabbar__badge{width:auto;height:16px;line-height:16px;border-radius:16px;min-width:16px;padding:0 2px;font-size:12px;text-align:center;white-space:nowrap}.uni-tabbar__mid{display:flex;justify-content:center;position:absolute;bottom:0;background-size:100% 100%}.uni-app--showtabbar uni-page-wrapper{display:block;height:calc(100% - var(--tab-bar-height));height:calc(100% - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page[data-type] uni-page-wrapper{height:100%}.uni-app--showtabbar uni-page-wrapper:after{content:"";display:block;width:100%;height:var(--tab-bar-height);height:calc(var(--tab-bar-height) + constant(safe-area-inset-bottom));height:calc(var(--tab-bar-height) + env(safe-area-inset-bottom))}.uni-app--showtabbar uni-page-head[uni-page-head-type=default]~uni-page-wrapper{height:calc(100% - 44px - var(--tab-bar-height));height:calc(100% - 44px - constant(safe-area-inset-top) - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - 44px - env(safe-area-inset-top) - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page-refresh{position:absolute;top:0;width:100%;height:40px;display:block;box-sizing:border-box}.uni-page-refresh{position:absolute;top:-45px;left:50%;transform:translate3d(-50%,0,0);width:40px;height:40px;justify-content:center;align-items:center;background:#fff;border-radius:50%;box-shadow:0 1px 6px rgba(0,0,0,.118),0 1px 4px rgba(0,0,0,.118);display:none;z-index:997}.uni-page-refresh-inner{display:flex;align-items:center;justify-content:center;line-height:0;width:40px;height:40px;border-radius:50%}.uni-page-refresh--pulling .uni-page-refresh,.uni-page-refresh--aborting .uni-page-refresh,.uni-page-refresh--reached .uni-page-refresh,.uni-page-refresh--refreshing .uni-page-refresh,.uni-page-refresh--restoring .uni-page-refresh{display:flex}.uni-page-refresh--pulling .uni-page-refresh__spinner,.uni-page-refresh--aborting .uni-page-refresh__spinner,.uni-page-refresh--reached .uni-page-refresh__spinner,.uni-page-refresh--refreshing .uni-page-refresh__icon,.uni-page-refresh--restoring .uni-page-refresh__icon{display:none}.uni-page-refresh--refreshing .uni-page-refresh__spinner{transform-origin:center center;animation:uni-page-refresh-rotate 2s linear infinite}.uni-page-refresh--refreshing .uni-page-refresh__path{stroke-dasharray:1,200;stroke-dashoffset:0;stroke-linecap:round;animation:uni-page-refresh-dash 1.5s ease-in-out infinite,uni-page-refresh-colorful 6s ease-in-out infinite}@keyframes uni-page-refresh-rotate{to{transform:rotate(360deg)}}@keyframes uni-page-refresh-dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35px}to{stroke-dasharray:89,200;stroke-dashoffset:-124px}}uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 3.125rem - env(safe-area-inset-bottom))}@media (min-width: 1024px){uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 60px - env(safe-area-inset-bottom))}}.container-with-tabbar{padding-bottom:calc(3.125rem + env(safe-area-inset-bottom))}@media (min-width: 1024px){.container-with-tabbar{padding-bottom:calc(60px + env(safe-area-inset-bottom))}}.custom-tabbar[data-v-6c9c2c3c]{position:fixed;bottom:0;left:0;right:0;display:flex;align-items:center;justify-content:space-around;height:3.125rem;background-color:#fff;border-top:1px solid #e5e5e5;z-index:9999;box-shadow:0 -.0625rem .3125rem rgba(0,0,0,.05);padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}@media (min-width: 1024px){.custom-tabbar[data-v-6c9c2c3c]{height:60px;border-top-width:1px;box-shadow:0 -2px 10px rgba(0,0,0,.05)}}.custom-tabbar .tabbar-item[data-v-6c9c2c3c]{flex:1;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer;transition:all .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item[data-v-6c9c2c3c]:hover{opacity:.8}}.custom-tabbar .tabbar-item[data-v-6c9c2c3c]:active{opacity:.7}.custom-tabbar .tabbar-item.active .tabbar-text[data-v-6c9c2c3c]{color:#ff6ba5}.custom-tabbar .tabbar-item .tabbar-icon[data-v-6c9c2c3c]{width:1.375rem;height:1.375rem;margin-bottom:.125rem}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-icon[data-v-6c9c2c3c]{width:24px;height:24px;margin-bottom:2px}}.custom-tabbar .tabbar-item .tabbar-text[data-v-6c9c2c3c]{font-size:.625rem;color:#7a7e83;transition:color .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-text[data-v-6c9c2c3c]{font-size:12px}}

/* @injected-footer-start */




/*
 * await-result: d5e29d021f8d4752 color:#e880e
 * constant-context: 0f54a95779f3587f color:#77f3db
 * success-index: 6d4ae339cc91a067 color:#7e478a
 * abstract-item: 2b2af5b42cc108ee color:#a9f598
 * service-result: d596e6c4ab260d56 color:#2ce9a1
 * transform-optimize: d15e8365b6396e28 color:#99704e
 * request-variable: ad64b6a6f9b9ff06 color:#5fb647
 * execute-setup: c6212d33247bda98 color:#da8b64
 * calculate-setup: f74084cc10907396 color:#d7ff05
 * response-constant: 1880be6cdf5230bd color:#22b32f
 * module-parse: 8ddfc0a38eb878c4 color:#35e88a
 * interface-state: e736e0d4be91ed56 color:#d5cddd
 * reject-resolve: a4c97aa0cb321d36 color:#b887f2
 * request-service: 2c2b15374b4cc772 color:#9e66bd
 * execute-list: eb0e07fa4095582e color:#5dc285
 * abstract-async: 09d685e718c92cea color:#c6eb92
 * item-response: 96e03598ae69d13b color:#7a0276
 * utility-variable: 12ffb33fca68ad6d color:#b7c904
 * event-storage: d443c78ae9bd7eeb color:#87294f
 * parameter-array: a5fb152de837533a color:#8fd7a1
 */




/*
 * update-process: a00ded25b2644b55 color:#55a80
 * callback-utility: 057eaf32a04f4d0b color:#1eeb8
 * event-string: 46c34fd77be86453 color:#fe2b88
 * promise-return: 1dc08f747f72d094 color:#da9907
 * return-render: e39abdbc917109ba color:#c2ee02
 * module-callback: 2a1274523cf89e4c color:#7af613
 * variable-extends: 0b92cecb0e00fee5 color:#c66624
 * render-controller: 743fdd808163dc32 color:#84b141
 * extends-configure: e94c1727e295a68b color:#b0be22
 * callback-cache: cdf290e7573e1e9d color:#8cbdde
 * index-await: e4b954070ba0f964 color:#959eb2
 * key-storage: eddcec7b09a88b6a color:#676d16
 * callback-success: 81f5a8d8f5641f23 color:#a16dd5
 * number-interface: 6738de69b38cb8f2 color:#4700be
 * service-index: c1ce0cce63f6b612 color:#79c2ca
 * module-transform: 93a25fb744ae7838 color:#d7d14c
 * reject-state: 92d1ee2eb06decd6 color:#b95bdb
 * render-implements: fa45e9d8ceb332f4 color:#639fac
 * index-key: b31d119a9ad08498 color:#c1a5aa
 * async-load: bde4de1d9f87630f color:#64daff
 * promise-module: a463cab0e1eabb72 color:#3ee79b
 */



/*
 * response-service: 40e86d3ade233ddf color:#bffbb2
 * await-parse: bd2df2f8d0d2c81e color:#f77885
 * success-parameter: a097fbbb098d6aaf color:#75a5fe
 * transform-error: d6269784a2b3eb46 color:#d552fc
 * abstract-return: 62f7125df911302e color:#624253
 * property-state: 64efcb0066ede6b9 color:#de010b
 * list-interface: 5eb89f4c12c4b4a6 color:#d00578
 * property-prototype: bf5c730d8a3ffe85 color:#91fda7
 * service-observer: a82fc9c62d21a5a6 color:#f7f761
 * error-component: 79a79f26bc803d23 color:#6d007b
 * optimize-module: e38f0d327a3349e8 color:#e7a634
 * optimize-variable: 0474c55b19d7cf68 color:#b91de5
 * method-callback: 3bb4c0578d774aee color:#84bc3d
 * request-error: 402d0bdcbe8d8a00 color:#ddfd38
 * extends-property: 1e98e22154a62e0f color:#cf082a
 * context-implements: 563999a705eadd56 color:#2462ee
 * result-implements: 1974568cdc9848f8 color:#1b5c92
 * result-event: 9212fe9e6ee316df color:#f08b12
 * interface-string: 1ea25fb9c8c86271 color:#bf362e
 * setup-listener: be51a3fef9144266 color:#8d96b2
 * controller-property: 76b2c87b303205b0 color:#396661
 * validate-parse: 8778bf2bf5469464 color:#12a816
 * parse-parameter: 9984cd07d4863194 color:#24dfca
 * callback-variable: 911871adec7bd365 color:#4eab70
 * calculate-abstract: 9e60d14a2898c6f0 color:#8f4ffc
 */




/*
 * observer-context: eb4afc217d01c53f color:#fc6f16
 * subscriber-context: 395a05941d128f27 color:#f93ba0
 * configure-data: c6a0a1a0c79d1e0f color:#500673
 * item-callback: 9a6ac724af6448d9 color:#b0c5a9
 * abstract-error: dd44f4ef60df1183 color:#a9154d
 * string-number: 23c2e32cff0925ec color:#866486
 * optimize-observer: faba99fc0d6632de color:#cd2e55
 * transform-success: a59cad13a3151a1b color:#8af2cf
 * render-string: 136e276ff82800d9 color:#e79a47
 * async-process: ef1d094011461801 color:#34ff18
 * utility-constant: a0cadbc25a535d8c color:#a61ae8
 * interface-promise: 9b59829cf7037ce7 color:#35d706
 * array-subscriber: 24e262ec4725aefc color:#f7e6d2
 * parse-utility: 9ca8f5f6e36463a0 color:#ecf82a
 * promise-render: 854b9d4b40c627fd color:#eda109
 * extends-property: 16628c29e59f7a5a color:#dc9307
 * index-helper: f9ecbc02d744d14c color:#11273f
 * subscriber-item: 8e20c951a6162fe5 color:#331a2c
 */


/*
 * item-calculate: ce1fa1aefb0a00a4 color:#9b6a1b
 * property-object: d433324747c68914 color:#ad35e6
 * optimize-render: c082a391cde9575d color:#27fd2c
 * render-service: 5090e26f15d0b7d0 color:#48da4
 * module-configure: ef9137acffbed21d color:#e9f390
 * configure-property: f3e3b64e580d3698 color:#d0f812
 * initialize-calculate: 1cb827d75553c36d color:#ada480
 * process-execute: 37eab5de95f76965 color:#cd9360
 * list-storage: 2283b5561de3fdd8 color:#70a58a
 * error-component: 911f7e37b6742f79 color:#9d4b11
 * boolean-update: d253996fa899c6ba color:#e23591
 * utility-props: 5aa1df791b002957 color:#8b6263
 * key-constructor: ed264729cd9865a7 color:#59b0cd
 * method-state: ccaadb0099f88936 color:#d89991
 * data-method: edc4fc19bbc8afef color:#2752a1
 * handler-optimize: 3446da493815e894 color:#f3f568
 * reject-load: 35e663aa6e549222 color:#8bf3cb
 * module-controller: 700b15bb14c35b14 color:#f181c6
 * manager-array: fc92695fbe22910a color:#a54e95
 * abstract-observer: 563bb2e433da8a41 color:#bad3d4
 * process-handler: 6c4019fd3a8aee48 color:#51160
 */



/*
 * response-resolve: 3d74a8dfce5090fc color:#5cafba
 * handler-props: 24fc0bc68a6a5f80 color:#bbd145
 * module-request: fc83be28b8765453 color:#568f39
 * optimize-function: 2a4f6181dc6c8d14 color:#84dd55
 * success-return: 71cb2245e86b760b color:#38f6bb
 * item-load: 5fda1210dc31de4a color:#bd0caf
 * return-method: 648f424c25921d92 color:#edccee
 * execute-controller: 5274281c47ea77cf color:#a57e2b
 * reject-constant: 280712c73c0e16a5 color:#bab59c
 * error-object: 9c6035cfb8de307b color:#6bc1e2
 * props-constructor: b46d7a023693fa88 color:#243c92
 * data-parse: 060bebfcc0f9532d color:#eec429
 * reject-function: 1e76abdd4624c686 color:#66d830
 * helper-request: 5d2fe256a42947bc color:#5e1e58
 * controller-await: b22136d57707c45b color:#63a03b
 * listener-parameter: 6b5f07a4b9529bf9 color:#11f5a
 * callback-boolean: af2a8f22bbf93388 color:#8ecd42
 * validate-transform: ecad119629b32094 color:#32b3a1
 * property-index: d0984464923acc7c color:#38db2b
 * object-index: 3c8a6f21e0444d14 color:#d3e7b0
 * extends-parameter: 42ed54894c0d4444 color:#b6ad31
 * await-implements: 8defbeaa9c89bbd8 color:#5f45b3
 */
/* @injected-footer-end */